#ifndef __DRAWTREE_H
#define __DRAWTREE_H

#include <assert.h>
#include <stdlib.h>
#include <math.h>

#include "turtle.h"
#include "bst.h"

/*
 * Draw a binary search tree using turtle graphics.
 * If a node's value is found in the highlight_values dynarray then the node
 * is colored red.
 */
void turtle_draw_bst(bst_t *tree, dynarray_t *highlight_values);

#endif
